# $Id: koffice-i18n.spec,v 1.17 2004/10/01 20:28:01 rexdieter Exp $

Summary: i18n support for Kile
Name: 	 kile-i18n 
Group:	 Applications/Office
Version: 1.7
Release: 3
Source:  http://dl.sourceforge.net/sourceforge/kile/kile-i18n-1.7.tar.bz2 
URL:     http://kile.sourceforge.net/
License: GPL
# Should be noarch, but doesn't currently work -- Rex
#BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: libtool
BuildRequires: kdelibs-devel >= 6:3.2 
BuildRequires: gettext

Requires: kile >= 0:1.7 


%description
i18n support for Kile


%prep
%setup -q 


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure 

make %{?_smp_mflags} 


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT 

# Replace absolute symlinks with relative ones
pushd $RPM_BUILD_ROOT%{_docdir}/HTML
for lang in *; do
  if [ -d $lang ]; then
    pushd $lang
    for i in *; do
      [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
    done
    popd
  fi
done
popd

## File lists
# locale's
%find_lang kile 
# HTML
for lang_dir in $RPM_BUILD_ROOT%{_docdir}/HTML/* ; do
  lang=$(basename $lang_dir)
  echo "%lang($lang) %doc %{_docdir}/HTML/$lang/*" >> kile.lang
done



%files -f kile.lang
%defattr(-,root,root)


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Wed Nov 21 2004 Rex Dieter <rexdieter[AT]users.sf.net> 1.7-3
- BR: gettext

* Tue Nov 20 2004 Rex Dieter <rexdieter[AT]users.sf.net> 1.7-0.fdr.2
- cleanup file lists

* Mon Oct 18 2004 Rex Dieter <rexdieter at sf.net> 1.7-0.fdr.1 
- 1.7

